import { AnnotationLayer } from "./AnnotationLayer";
import { IFastItemColumn$1 } from "igniteui-angular-core/ES5/IFastItemColumn$1";
import { Base, Type, Point } from "igniteui-angular-core/ES5/type";
import { Series } from "./Series";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { Thickness } from "igniteui-angular-core/ES5/Thickness";
import { CalloutCollisionMode } from "./CalloutCollisionMode";
import { FontInfo } from "igniteui-angular-core/ES5/FontInfo";
import { Rect } from "igniteui-angular-core/ES5/Rect";
import { CalloutLayerFrame } from "./CalloutLayerFrame";
import { CalloutAnnotationWrapper } from "./CalloutAnnotationWrapper";
import { FastItemsSourceEventAction } from "igniteui-angular-core/ES5/FastItemsSourceEventAction";
import { CalloutSeriesSelectingEventArgs } from "./CalloutSeriesSelectingEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Size } from "igniteui-angular-core/ES5/Size";
import { CalloutContentUpdatingEventArgs } from "./CalloutContentUpdatingEventArgs";
import { CalloutLabelUpdatingEventArgs } from "./CalloutLabelUpdatingEventArgs";
import { DataContext } from "igniteui-angular-core/ES5/DataContext";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { HashPool$2 } from "igniteui-angular-core/ES5/HashPool$2";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core/ES5/RenderingContext";
import { TextBlock } from "igniteui-angular-core/ES5/TextBlock";
import { IExecutionContext } from "igniteui-angular-core/ES5/IExecutionContext";
import { Visibility } from "igniteui-angular-core/ES5/Visibility";
/**
 * @hidden
 */
export declare class CalloutLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    private pe;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    c9(a: boolean): boolean;
    private ns;
    private pq;
    private pr;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    o2: string;
    na: IFastItemColumn$1<any>;
    private m5;
    o9: string;
    nb: IFastItemColumn$1<any>;
    private m6;
    pc: string;
    nc: IFastItemColumn$1<any>;
    private m7;
    oz: string;
    m9: IFastItemColumn$1<any>;
    private m4;
    no: boolean;
    ot: string;
    m8: IFastItemColumn$1<any>;
    private m3;
    private nt;
    private nw;
    private pg;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mx: CalloutLayerView;
    private nx;
    m0: Series;
    oq: string;
    nn: boolean;
    nq: boolean;
    np: boolean;
    n8: number;
    qk: Brush;
    qh: Brush;
    n9: number;
    qj: Brush;
    qi: Brush;
    readonly qo: Thickness;
    n1: number;
    n3: number;
    n2: number;
    n0: number;
    mu: CalloutCollisionMode;
    n4: number;
    n5: number;
    o5: string;
    private m1;
    readonly m2: FontInfo;
    protected mb(a: Series, b: boolean): void;
    protected md(a: Frame, b: SeriesView): void;
    private nu;
    private nr;
    private nd;
    private qm;
    protected jl(a: Rect, b: Rect): void;
    protected jk(a: Rect, b: Rect): void;
    private nj;
    private n7;
    private ql;
    qn: Rect;
    private pm;
    private pi;
    private ne;
    private oa;
    private ob;
    private nf;
    private pf;
    private ng;
    private n6;
    private ny;
    private oc;
    protected ly(a: Series): boolean;
    ig(): void;
    private ni;
    pl(): void;
    calloutContentUpdating: (sender: any, args: CalloutContentUpdatingEventArgs) => void;
    calloutLabelUpdating: (sender: any, args: CalloutLabelUpdatingEventArgs) => void;
    calloutSeriesSelecting: (sender: any, args: CalloutSeriesSelectingEventArgs) => void;
    private nv;
    private pn;
    private nl;
    private nm;
    private nz;
    private nk;
    protected bd(): SeriesHitTestMode;
    ar(a: Point, b: boolean): DataContext;
    dg(a: Point, b: boolean): boolean;
    protected pp(a: CalloutLayerFrame, b: boolean): void;
    protected mg(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    private po;
    private nh;
    private pj;
    private ph;
    private pk;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CalloutLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CalloutLayer);
    protected b1: CalloutLayer;
    private b7;
    ap(): void;
    private b3;
    private b9;
    private cb;
    private ca;
    b6: HashPool$2<CalloutAnnotationWrapper, CalloutView>;
    ci(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    protected b5(): FontInfo;
    ai(a: any): void;
    private b8;
    ck(a: TextBlock): Size;
    private b2;
    cj(a: any, b: Thickness): Size;
    b4(): IExecutionContext;
    cc(a: CalloutView, b: number, c: number): void;
    cd(a: CalloutView, b: CalloutAnnotationWrapper, c: any): void;
    ce(a: Series): Brush;
    ch(): Brush;
    cg(): Brush;
    cf(a: Series): Brush;
}
/**
 * @hidden
 */
export declare class CalloutView extends Base {
    static $t: Type;
    constructor(a: CalloutLayerView);
    private a;
    w: Visibility;
    h(a: RenderingContext): void;
    private j;
    private r;
    private o;
    private q;
    p: Point;
    n: Brush;
    m: Brush;
    l: Brush;
    k: Brush;
    c: number;
    private u;
    private t;
    v: Thickness;
    f: any;
    d: number;
    e: number;
    s(): Size;
    private b;
    i(a: Series, b: CalloutAnnotationWrapper, c: any): void;
    g(a: CalloutLayer, b: FontInfo, c: any): void;
}
